@font-face {
    font-family: 'Neometric Alt Medium';
    src: url('../css/font/Neometric_alt_regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: 'Neometric Alt Medium', sans-serif;
    /*font-family: 'Poppins', Regular;*/
    background-color: #f8f9fa;
    top: 0px !important;
    margin-top: 0 !important;
    padding-top: 0 !important;
}

   .skiptranslate > iframe { 
    height: 0 !important;
    border-style: none;
    box-shadow: none;
    margin: 0 !important;
    padding: 0 !important;
}

.goog-te-spinner-pos,
.goog-te-balloon-frame,
.goog-te-spinner {
    display: none !important;
    height: 0 !important;
    width: 0 !important;
    overflow: hidden !important;
}

.navbar-nav .nav-item{
    margin-right: 1.5rem !important;
}  
.lng{
    color:blue !important;
    text-decoration: underline;
}
.footer-header-top{
    background-image: url('image.png');
    background-size: cover;
    background-position: center;
    color: #fff;
    /*position: relative;*/
    /*z-index: 1;*/
}
.header-content {
    margin-left: -30rem;
}

.header-title {
    font-size: 30px;
}

.header-subtitle {
    font-size: 10px;
}

.header-buttons {
    margin: 20px 0;
}

.header-button {
    background-color: #f39c12;
    border: none;
    border-radius: 5px;
    padding: 5px 15px;
    font-size: 14px;
    color: white;
    margin: 5px;
    cursor: pointer;
}
header {
    color: #fff;
    padding: 100px 0;
    text-align: center;
    background-image: url('image.png');
    background-size: cover;
    background-position: center;
}

header img {
    max-width: 150px;
}

header h1 {
    font-size: 3rem;
    margin-top: 20px;
}

header p {
    font-size: 1.5rem;
}


section {
    padding: 60px 0;
}

section h2 {
    font-size: 2.5rem;
    margin-bottom: 40px;
    /*font-weight: bold;*/
    color: #cd0704;
}

.card {
    border: none;
    border-radius: 1.25rem;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out;
}

.card:hover {
    /*transform: translateY(-10px);*/
}

.card img {
    height: 200px;
    object-fit: contain;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 2rem;
    border-top-left-radius: 1.25rem;
    border-top-right-radius: 1.25rem;
}

.card .card-body {
    padding: 20px;
}

.card-title {
    font-size: 14px;
    margin-bottom: 15px;
    font-weight: bold;
}
.view-more {
    cursor: pointer;
    color: blue;
    text-decoration: underline;
}

.card-text {
    font-size: 12px;
    color: #6c757d;
    text-align: start;
}

.btn-primary {
    background-color: #ffba00;
    border-color: #ffba00;
    color: white;
    transition: background-color 0.3s, color 0.3s;
}

.btn-primary:hover {
    background-color: #ffba00 !important;
    border-color: #ffba00;
    color: white;
}
.btn-primary:active {
    background-color: #ffba00 !important;
    color: white;
    border-color: #ffba00 !important;
}
.btn-primary:focus {
    background-color: #ffba00 !important;
    color: white;
    border-color: #ffba00 !important;
}

.btn-primary-joinus {
    background-color: #fff;
    border-color: #ffba00 !important;
    color: black;
    font-size: 14px;
    font-weight: bold;
    transition: background-color 0.3s, color 0.3s;
}

.btn-primary-joinus:hover {
    background-color: #fff !important;
    border-color: #ffba00 !important;
    color: black;
}
.btn-primary-joinus:active {
    background-color: #fff !important ;
    color: black;
    border-color: #ffba00 !important;
}
.btn-primary-joinus:focus {
    background-color: #fff !important;
    color: black;
    border-color: #ffba00 !important;
}

.btn.focus, .btn:focus {
    box-shadow: 0 0 0 0rem rgba(0, 0, 0, 0.5) !important;
}
button:focus{
    outline: #fff !important;
}

/*section help and Needy*/
.helpNeedy{
    font-size: 2.5rem;
    margin-bottom: 40px;
    font-weight: bold;
    color: #cd0704;
    text-align: start;

}
.helpNeedyp{
    margin-top: 0;
    margin-bottom: 0rem;
    font-weight: bold;
    text-align: start;
    font-size: 0.8rem
}
.btnhelpNeedy{
    background-color: white;
    border-color: #f8c049;
    color: black;
    border-radius: 1.25rem;
    transition: background-color 0.3s ease-in-out, border-color 0.3s ease-in-out;
    padding: 10px 20px;
}

/* Farmers Market Section Styling */
.market-section {
    position: relative;
    background-image: url('https://picsum.photos/200/300');
    background-size: cover;
    background-position: center;
    padding: 50px 0;
    color: white;
}

.market-section .container {
    position: relative;
    z-index: 1;
}

.market-section:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.market-helpNeedyp {
    margin-top: 0;
    margin-bottom: 0rem;
    font-weight: bold;
    text-align: start;
    font-size: 0.8rem

}

.market-helpNeedy {
    font-size: 2.5rem;
    margin-bottom: 20px;
    font-weight: bold;
    color: #cd0704;
    text-align: start;
}
.market{
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
}

.market-parent-container {
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: center;
    width: 26rem;
}
.market-second-row{
    display: flex;
    flex-direction: row;
    align-items: end;
    justify-content: center;
}

.market-card-second1 {
    position: relative;
    /*background-color: #f5f5f5;*/
    border-radius: 15px;
    overflow: hidden;
    display: flex;
    justify-content: start;
    align-items: center;
    margin-left: 2rem

}
.market-card-second2 {
    position: relative;
    /*background-color: #f5f5f5;*/
    border-radius: 15px;
    overflow: hidden;
    display: flex;
    justify-content: start;
    align-items: center;
    margin-left: 1rem

}

.market-card {
    position: relative;
    /*background-color: #f5f5f5;*/
    border-radius: 15px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 8.5rem;
    width: 16.5rem;
}


.market-card img {
    width: 100%;
    height: 200px;
    object-fit: contain;
}
.market-card-second1 img{
    width: 300px;
}
.market-card-second2 img{
    width: 300px;
}
.market-card-text {
    position: absolute;
    bottom: 15px;
    left: 12px;
    color: #fff;
    padding: 5px;
    border-radius: 3px;
    font-size: 14px
}

.market-more-products{
    margin-top: 2rem;
    margin-left: 2rem;
}

/*About us*/
.about-us {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    padding: 20px;
}


.aboutus-card {
    background-color: #f5f5f5;
    border-radius: 15px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}


.aboutus-card img {
    width: 100%;
    /*height: 200px;*/
    /*object-fit: cover;*/
}
.aboutus-card-size-val1 {
    height: 8.2rem;
    width: 8.2rem;
    margin-right: 10px;
}
.aboutus-card-size-val2 {
    height: 10.2rem;
    width: 13.2rem;
    margin-right: 1rem;
}
.aboutus-card-size-val3 {
    height: 10.2rem;
    width: 13.2rem;
    margin-right: 10px;
}
.aboutus-card-size-val4 {
    height: 8.2rem;
    width: 8.2rem;
}

.content {
    flex: 1;
    text-align: start;
}

.content h2 {
    font-size: 36px;
    color: #e74c3c;
    margin-bottom: 20px;
}

.content p {
    font-size: 12px;
    line-height: 1.5;
    color: #333;
    margin-bottom: 20px;
}

.join-now {
    background-color: #ffc107;
    border: none;
    border-radius: 25px;
    color: #fff;
    cursor: pointer;
    font-size: 18px;
    padding: 10px 20px;
    text-transform: uppercase;
    transition: background-color 0.3s ease;
}

.join-now:hover {
    background-color: #ffa000;
}
.about-us-parent-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 50%;
}
.about-us-vertical-div {
    margin-top: 10px;
    width: 100%;
    display: flex;
    justify-content: end;
    align-items: start;

}
.about-us-vertical-div1 {
    margin-top: 10px;
    width: 100%;
    display: flex;
    justify-content: end;
    align-items: end;

}

/*gallery*/
.grid-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 1px;
    height: auto;
}

.grid-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.overlay-container {
    position: relative;
    width: 100%;
}

/* Default overlay styles */
.overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    padding: 10px;
    display: block;  /* Make the overlay text visible by default */
    font-size: 0.8em;
    text-align: center;
    z-index: 1;
}

/* Default background overlay visible without hover */
.overlay-container::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    transition: opacity 0.3s ease;
}

/* When overlay is toggled off, hide it */
.overlay-container.overlay-hidden .overlay {
    display: none;
}

.overlay-container.overlay-hidden::before {
    opacity: 0;  /* Hide the background overlay */
}

/* For initial orange overlay */
.overlay-container.orange-overlay::before {
    background-color: rgba(255, 165, 0, 0.7); /* Orange background for specific images */
    opacity: 1;
}

/* For initial blue overlay */
.overlay-container.blue-overlay::before {
    opacity: 1;
}



/* Hover effect: show overlay text */
.overlay-container:hover .overlay {
    display: block;
    opacity: 1;
}



/*Contact us*/
.contactus-container {
    display: flex;
    flex-wrap: wrap;
    width: 90%;
    max-width: 1200px;
}

.contactus-images {
    display: flex;
    flex: 1 1 50%;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    background: #f9f9f9;
    padding: 20px;
}

.contactus-image {
    width: 100%;
    max-width: 300px;
    margin: 10px;
    border-radius: 10px;
    box-shadow: 0 0 5px rgba(0,0,0,0.1);
}

.contactus-form {
    flex: 1 1 40%;
    padding: 2rem;
    box-sizing: border-box;
}

.contactus-form h2 {
    color: #d32f2f;
}

.contactus-form p {
    color: #666;
}

.contactus-form form {
    display: flex;
    flex-direction: column;
}

.contactus-form input,
.contactus-form textarea {
    margin: 10px 0;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 12px;
}

.contactus-form a {
    font-size: 12px;
    width: 7rem;
    cursor: pointer;
    transition: background-color 0.3s;
}
.contactus-second-row{
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: center;
}

.contactus-card-second1 {
    position: relative;
    background-color: #f5f5f5;
    border-radius: 15px;
    overflow: hidden;
    display: flex;
    justify-content: start;
    align-items: center;
    margin-left: 2rem

}
.contactus-card-second2 {
    position: relative;
    background-color: #f5f5f5;
    border-radius: 15px;
    overflow: hidden;
    display: flex;
    justify-content: start;
    align-items: center;
    margin-left: 1rem;
    margin-top: 3rem;

}

.contactus-imgheight{
    height: 20rem;
}

.footer {
    background-color: #f8f8f8;
    padding-bottom: 1px;
    padding-top: 3rem;
    /*    padding-left: 1rem;
        padding-right: 1rem;*/
}

.footer-content {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    max-width: 1200px;
    margin: 0 auto;
    margin-left: 6rem;
    margin-bottom: 4rem;
}

.footer-logo-section {
    flex: 1;
    display: flex;
}

.footer-logo {
    /*width: 8.5rem;*/
    height: 6.5rem;
}

.footer-title {
    font-size: 14px;
    margin: 10px 0;
    color: #cd0704;
    margin-left: 1rem;
    font-weight: bold;
    margin-top: 2rem;
}

.footer-links {
    margin-right: 3rem;
    margin-left: 3rem;
    color: #cd0704;
    font-size: 13px;
    text-align: left;
}
.footer-contact {
    flex: 1;
    font-size: 13px;
    text-align: left;
}

.footer-links-title {
    font-size: 13px;
    margin-bottom: 10px;
}

.footer-contact-title {
    font-size: 13px;
    color: #cd0704;
    margin-bottom: 10px;
}

.footer-links-list {
    list-style-type: none;
    padding: 0;
}

.footer-links-list li {
    margin: 5px 0;
}

.footer-links-list a {
    text-decoration: none;
    color: #333;
}

.footer-contact-info {
    font-size: 13px;
    margin: 25px 0;
}
.footer-contact-info span {
    display: block;
}

.footer-contact-info span:last-child {
    padding-bottom: 0;
}
.footer-social-media {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.footer-social-link {
    /*margin: 0 10px;*/
    text-decoration: none;
    color: #333;
    font-size: 14px;
}

.footer-bottom {
    text-align: center;
    padding: 10px;
    font-size: 14px;
    color: #707070;
    border-top: 1px solid #707070;
}
.footer-contact{
    margin-left: 5rem;
}

/* Breadcrumb Styles */
.breadcrumb {
    background-color: transparent;
    padding: 10px 0;
    margin-bottom: 20px;
    border-radius: 0;
    margin-top: 8rem;
    font-family: 'Neometric Alt Medium', sans-serif;
}

.breadcrumb-item + .breadcrumb-item::before {
    content: ">";
    color: #6c757d;
}

.breadcrumb a {
    color: black;
    text-decoration: none;
    font-weight: 200;
}

.breadcrumb a:hover {
    color: black;
    text-decoration: none;
}

.breadcrumb .breadcrumb-item.active {
    color: #6c757d;
    font-weight: 600;
}



/*Team Model*/

.modal-body {
    display: flex;
    flex-wrap: wrap;
    overflow-y: auto !important;
    padding-bottom: 10px;
    padding-left: 10px;
    padding-right: 10px;
}
.modal-content {
    border-radius: 10px !important;
    overflow-y: auto !important;
}
.team-reg-form-container {
    /*background-color: #fff3e0;*/
    padding-left: 20px;
    padding-right: 20px;
    border-radius: 10px;
    flex: 1;
    margin-right: 10px;
}
.form-group label {
    color: #998675;
    font-size: 0.8rem;
}
.btn-custom {
    background-color: #ffa000;
    color: white;
    border: none;
}
.btn-custom:hover {
    background-color: #ffb300;
    color: white;
}
.btn-seller-custom {
    background-color: #ffa000;
    color: white;
    border: none;
}
.btn-seller-custom:hover {
    background-color: #ffb300;
    color: white;
}
.image-container  {
    flex: 1;
}
.image-container img {
    width: 100%;
    height: 100%;
    border-radius: 10px;
    object-fit: cover;
}
.modal-header{
    padding: 0px;
    padding-bottom: 10px !important;
    border-bottom: 0px;
}
.modal-footer{
    padding: 0px;
    border-top: 0px solid #dee2e6;
}
.team-login-modal-body {
    display: flex;
    flex-wrap: wrap;
}
.team-login-form-container {
    padding: 20px;
    border-radius: 10px;
    flex: 1;
    margin-right: 10px;
    justify-content: center;
    align-items: center;
    display: flex;
}
.team-login-form-group label {
    color: #998675;
}
.team-login-btn-custom {
    background-color: #ffa000;
    color: white;
    border: none;
}
.team-login-btn-custom:hover {
    background-color: #ffb300;
    color: white;
}
.forgotpass-login-btn-custom:hover {
    background-color: #ffb300;
    color: white;
}
.forgotpass-login-btn-custom {
    background-color: #ffb300;
    color: white;
}
.btn-primary.disabled, .btn-primary:disabled{
     background-color: #ffb300;
    color: white;
}
.team-login-image-container{
    flex: 1;
}
.team-login-image-container img {
    width: 100%;
    height: 100%;
    border-radius: 10px;
    object-fit: cover;
}
.team-login-footer {
    display: flex;
    justify-content: space-between;
    width: 100%;
}
.team-login-footer a{
    color: #998675;
    font-size: 0.6rem;
}

.contactus-submit-btn-custom {
    background-color: #ffa000;
    color: white;
    border: none;
}
.contactus-submit-btn-custom:hover {
    background-color: #ffb300;
    color: white;
}

.loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    display: none; /* Hidden by default */
    justify-content: center;
    align-items: center;
    z-index: 9999; /* Make sure it's on top of everything */
}

.loader {
    border: 12px solid #f3f3f3; /* Light grey */
    border-top: 12px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.focusarea-top {
    padding-top: 7.5rem;
    padding-bottom: 0rem;
}


@media only screen and (max-width: 1024px) {
    .contactus-card-second1{
        margin-left: 15rem;
    }
}


@media only screen and (min-width: 1920px) {
    .home-section{
        height: 1250px;
    }
}
@media only screen and (min-width: 2560px) {
    .home-section{
        height: 1350px;
    }
}


@media (max-width: 768px) {

    /*Market*/
    .market-parent-container {
        align-items: center;
    }
    .market-second-row {
        margin-top: 1rem;
    }
    .market-card-second1{
        margin-left: 0px;
    }
    .market-card-second2{
        margin-left: 0.5rem;
    }
    .imgheight{
        height: 12.2rem;
    }
    .footer-logo-section {
        margin-bottom: 2rem;
    }
    .footer-contact{
        margin-left: 0rem;
    }
    .footer-content{
        margin-left: 2rem;
    }
    .grid-container{
        grid-template-columns: repeat(2, 1fr);
    }
    .market-card-second1 img{
        width: 130px;
    }
    .market-card-second2 img{
        width: 130px;
    }

    /*About us*/
    .about-us {
        flex-direction: column;
        padding: 0px;
    }
    .about-us-parent-container{
        width: auto;
    }
    .content{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    .about-us-vertical-div{
        justify-content: start;
    }

    .aboutus-card-size-val2, .aboutus-card-size-val3{
        width: 10.8rem;
    }
    .aboutus-card-size-val3{
        margin-right: 0.5rem;
    }

    /*Contact us*/
    .contactus-container {
        flex-direction: column;
    }

    .contactus-images, .contactus-form {
        flex: 1 1 100%;
    }

    .contactus-image {
        max-width: 100%;
    }
    .contactus-imgheight{
        height: 13rem;
    }
    .contactus-card-second1{
        margin-left: 0px;
    }

    .header-content {
        margin-left: 0rem;
    }

    .footer-links{
        margin-left: 0rem;
    }

    .modal-body{
        display: block;

    }
    .image-container{
        margin-top: 1rem;
    }
    .focusarea-top{
        padding-top: 2.5rem;
        padding-bottom: 0rem;
    }
    .home-section{
        height: 820px;
    }

}

@media only screen and (max-width: 320px) {
    .aboutus-card-size-val2, .aboutus-card-size-val3 {
        width: 9rem; /* Adjust the width as needed */
    }
    .contactus-imgheight {
        height: 12rem;
    }
}



